List order statuses
GET
/orders/statuses
const url = 'https://acme.mykreezalid.com/api/v1/orders/statuses';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/api/v1/orders/statuses \ --header 'Authorization: Basic <credentials>'Lists the order statuses, so that you know which values status takes. Use label as the value of status.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The order statuses
Media typeapplication/json
object
statuses
Array<object>
object
const
Symbolic name of the status
string
label
The status, as orders carry it
string
Example
{ "statuses": [ { "const": "ORDER_STATUS_DRAFT", "label": "draft" } ]}